### Constructor

# WebKit2WebExtension URIRequest new

#### Declaration [src]

    WebKitURIRequest*
    webkit_uri_request_new (
      const gchar* uri
    )

#### Description [src]

Creates a new `WebKitURIRequest` for the given URI.

#### Parameters

`uri`

  Type: `const gchar*`

  An URI.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `WebKitURIRequest`

A new `WebKitURIRequest`.

The caller of the function takes ownership of the data, and is responsible for freeing it.